package net.wanji.opt.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.opt.bo.BottomMenuBO;
import net.wanji.opt.service.impl.MainlineEvaluateServiceImpl;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.ws.rs.core.MediaType;
import java.util.List;

@Api(value = "MainlineEvaluateController", description = "干线评价")
@RequestMapping("/mainlineEvaluate")
@RestController
public class MainlineEvaluateController {

    private final MainlineEvaluateServiceImpl mainlineEvaluateService;

    public MainlineEvaluateController(MainlineEvaluateServiceImpl mainlineEvaluateService) {
        this.mainlineEvaluateService = mainlineEvaluateService;
    }

    @ApiOperation(value = "底部曲线图范围下拉列表", notes = "底部曲线图范围下拉列表", response = JsonViewObject.class,
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @PostMapping(value = "/bottomMenu",
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @ApiResponses({
            @ApiResponse(code = 200, message = "OK", response = JsonViewObject.class),
    })
    public JsonViewObject bottomMenu(@RequestBody BottomMenuBO bo) {
        List<String> res = mainlineEvaluateService.bottomMenu(bo);
        return JsonViewObject.newInstance().success(res);
    }

}